'use strict';

const Sequelize = require('./index');
const sequelize = require('./test/support').createSequelizeInstance();

const User = sequelize.define('User', {
  username: Sequelize.STRING,
  data: Sequelize.BLOB
});

const buffer = new Buffer(0);

User
  .sync({ force: true })
  .then(() => {
    return User.create({
      username: 'anc',
      data: null
    });
  })
  .then(u => {
    console.log(u.toJSON());
  })
  .then(() => {
    return User.create({
      username: 'anc',
      data: buffer
    });
  })
  .then(u => {
    console.log(u.toJSON());
  });